System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Object System.Collections.IEnumerable

XmlNamedNodeMap is returned by the following three properties.

- Returns , a class which inherits from XmlNamedNodeMap.

- Returns an XmlNamedNodeMap containing objects. The XmlNamedNodeMap is read-only.

- Returns an XmlNamedNodeMap containing objects. The XmlNamedNodeMap is read-only.

Represents a collection of nodes that can be accessed by name or index.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of nodes in the XmlNamedNodeMap.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added

  Provides support for the "foreach" style iteration over the collection of nodes in the XmlNamedNodeMap.

  An enumerator object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode `` To be added

  Retrieves an specified by name.

  An XmlNode with the specified name or null if a matching node is not found.

  The qualified name of the node to retrieve. It is matched against the property of the matching node.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode `` `` To be added

  Retrieves a node with the matching and .

  An with the matching local name and namespace URI or null if a matching node was not found.

  The local name of the node to retrieve. The namespace Uniform Resource Identifier (URI) of the node to retrieve.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode `` To be added

  Retrieves the node at the specified index in the XmlNamedNodeMap.

  The at the specified index. If is less than 0 or greater than or equal to the property, null is returned.

  The index position of the node to retrieve from the XmlNamedNodeMap. The index is zero-based; therefore, the index of the first node is 0 and the index of the last node is -1.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode `` To be added

  Removes the node from the XmlNamedNodeMap.

  The XmlNode removed from this XmlNamedNodeMap or null if a matching node was not found.

  The qualified name of the node to remove. The name is matched against the property of the matching node.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode `` `` To be added

  Removes a node with the matching and .

  The removed or null if a matching node was not found.

  The local name of the node to remove. The namespace URI of the node to remove.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode `` To be added

  Adds an using its property.

  If the replaces an existing node with the same name, the old node is returned; otherwise, null is returned.

  An XmlNode to store in the XmlNamedNodeMap. If a node with that name is already present in the map, it is replaced by the new one.